import { TIME_STAME, TOKEN_TIMEOUT_VALUE } from '@/utils/constant'
import { setItem, getItem } from '@/utils/index'
/**
 * 获取当前时间戳
 */
export const getTimeStamp = () => {
  return getItem(TIME_STAME)
}

/**
 * 设置时间戳
 */
export const setTimeStamp = () => {
  return setItem(TIME_STAME, Date.now())
}

/**
 * 是否超时
 * 当前时间 减去缓存时间是否大于 超时时长 大于就超时了
 */

export const isCheckTimeout = () => {
  // 当前时间
  const currenTime = Date.now()
  // 缓存时间
  const timeStamp = getTimeStamp()

  return currenTime - timeStamp > TOKEN_TIMEOUT_VALUE
}
